
package org.mule.devkit.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;
import org.mule.devkit.DynamicModule;


/**
 * A <code>DynamicModuleCapabilitiesAdapter</code> is a wrapper around {@link DynamicModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class DynamicModuleCapabilitiesAdapter
    extends DynamicModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
